export P=szip
export V=2.1.1
export B=next
export MAINTAINER=JuergenFischer

source ../../../scripts/build-helpers

startlog

[ -f $P-$V.tar.gz ] || wget https://support.hdfgroup.org/ftp/lib-external/$P/$V/src/$P-$V.tar.gz
[ -f ../CMakeLists.txt ] || tar -C .. --xform s,$P-$V,., -xzf $P-$V.tar.gz

export R=$OSGEO4W_REP/x86_64/release/$P
mkdir -p $R

vs2019env
cmakeenv
ninjaenv

mkdir -p build install

cd build

cmake -G Ninja \
	-D CMAKE_BUILD_TYPE=Release \
	-D BUILD_SHARED_LIBS=ON \
	-D CMAKE_C_COMPILER=cl.exe \
	-D CMAKE_CXX_COMPILER=cl.exe \
	-D DMSVC_TOOLSET_VERSION=141 \
	-D CMAKE_INSTALL_PREFIX=../install \
	../..
ninja
ninja install

cd ..

cat <<EOF >$R/setup.hint
sdesc: "SZIP compression library"
ldesc: "SZIP compression library"
category: Libs
requires: msvcrt2019
EOF

cp ../COPYING $R/$P-$V-$B.txt

tar -C install -cjf $R/$P-$V-$B.tar.bz2 \
	include cmake lib bin/szip.dll

tar -C .. -cjf $R/$P-$V-$B-src.tar.bz2 osgeo4w/package.sh

endlog
